@charset "utf-8";
/***************************************************
ランキング
***************************************************/
/* ランキング */
.ranking .con_detail {
    margin-left: 0;
}

.ranking #contents {
    background: url(../../images/contents/ranking_bg.png);
    min-height: 100vh;
}

.ranking .mainTi {
    background: transparent;
}

.ranking .wrapper_ranking {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 40px;
    padding-top: 60px;
}

.ranking .studytime_box {
    background: #fff;
    border-radius: 10px;
    width: 33%;
}

.ranking .studytime_box h2 {
    width: 68%;
    height:auto;
    aspect-ratio: 368/137;
    margin: -4px 0 10px;
    background-image: url(../../images/contents/ranking_subttl_week.png);
    background-size: contain;
    background-repeat: no-repeat;
}

.ranking .studytime_box:nth-child(2) h2 {
    background-image: url(../../images/contents/ranking_subttl_month.png);
}
.ranking .studytime_box:nth-child(3) h2 {
    background-image: url(../../images/contents/ranking_subttl_keepdays.png);
}
.ranking .studytime_box h2 span{
    font-size: 30px;
}

.ranking .studytime_box li {
    position: relative;
    font-size: 24px;
    text-align: right;
    padding: 20px 30px;
    border-bottom: 1px dotted #000;

}
.ranking .studytime_box li span{
    font-size: 60px;
    font-weight: bold;
    padding-right: 6px;
}
.ranking .studytime_box li:before {
    content: "";
    width: 50px;
    height: 53px;
    background-image:url(../../images/contents/ranking_icon_1.png);
    background-size: contain;
    position: absolute;
    top: 0;
    left: 20px;
}
.ranking .studytime_box li:nth-child(2):before {
    background-image:url(../../images/contents/ranking_icon_2.png);
}
.ranking .studytime_box li:nth-child(3):before {
    background-image:url(../../images/contents/ranking_icon_3.png);
}

@media screen and (max-width:540px) {
    .ranking .wrapper_ranking {
        flex-wrap: wrap;
        padding-top: 30px;
        padding-bottom: 60px;
    }

    .ranking .studytime_box {
        width: 100%;
    }

    .ranking .studytime_box li {
        font-size: 22px;
    }

    .ranking .studytime_box li span {
        font-size: 56px;
    }

    .ranking .studytime_box li:before {
        width: 47px;
        height: 50px;
        top: 3px;
    }
}
